package com.yihu.hos.resource.model;

/**
 * RsResourceRestDetail entity. @author MyEclipse Persistence Tools
 */

public class RsResourceRestDetail implements java.io.Serializable {

	// Fields

	private String id;
	private String code;
	private String resourceRestId;
	private String type;
	private String namespace;
	private String returnValue;
	private String returnType;
	private String param;
	private String paramType;
	private String signature;
	private String name;

	// Constructors

	/** default constructor */
	public RsResourceRestDetail() {
	}

	/** full constructor */
	public RsResourceRestDetail(String code, String resourceRestId, String type, String namespace, String returnValue, String returnType, String param, String paramType, String signature) {
		this.code = code;
		this.resourceRestId = resourceRestId;
		this.type = type;
		this.namespace = namespace;
		this.returnValue = returnValue;
		this.returnType = returnType;
		this.param = param;
		this.paramType = paramType;
		this.signature = signature;
	}

	// Property accessors

	public String getId() {
		return this.id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getCode() {
		return this.code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getResourceRestId() {
		return this.resourceRestId;
	}

	public void setResourceRestId(String resourceRestId) {
		this.resourceRestId = resourceRestId;
	}

	public String getType() {
		return this.type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getNamespace() {
		return this.namespace;
	}

	public void setNamespace(String namespace) {
		this.namespace = namespace;
	}

	public String getReturnValue() {
		return this.returnValue;
	}

	public void setReturnValue(String returnValue) {
		this.returnValue = returnValue;
	}

	public String getReturnType() {
		return this.returnType;
	}

	public void setReturnType(String returnType) {
		this.returnType = returnType;
	}

	public String getParam() {
		return this.param;
	}

	public void setParam(String param) {
		this.param = param;
	}

	public String getParamType() {
		return this.paramType;
	}

	public void setParamType(String paramType) {
		this.paramType = paramType;
	}

	public String getSignature() {
		return this.signature;
	}

	public void setSignature(String signature) {
		this.signature = signature;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
}